require 'shoes'
Shoes.app(title: "BBCode to Wiki Markup", width: 1000, height: 750, resizable: true) do
  background white
  @BBC = edit_box top: 60, left: 35, width: 940, height: 250
  @Convert = button "Convert", top: 340, left: 450
  @Convert.click do
    bbcode = @BBC.text
    bbcode.gsub! "[b]", "''''"
    bbcode.gsub! "[/b]", "'''"
    bbcode.gsub! "[i]", "''"
    bbcode.gsub! "[/i]", "''"
    bbcode.gsub! "[code]", "<pre>"
    bbcode.gsub! "[/code]", "</pre>"
    bbcode.gsub! "[s]", "<strike>"
    bbcode.gsub! "[/s]", "</strike>"
    bbcode.gsub! "[img]", ""
    bbcode.gsub! "[/img]", ""
    bbcode.gsub! "[list]", "<blockquote>"
    bbcode.gsub! "[/list]", "</blockquote>"
    bbcode.gsub! "[/size]", " ======"
    bbcode.gsub! "[size=7]", "====== "
    bbcode.gsub! "[size=9]", "===== "
    bbcode.gsub! "[size=12]", "==== "
    bbcode.gsub! "[size=18]", "=== "
    bbcode.gsub! "[size=24]", "== "
    bbcode.gsub! "[size=7pt]", "====== "
    bbcode.gsub! "[size=9pt]", "===== "
    bbcode.gsub! "[size=12pt]", "==== "
    bbcode.gsub! "[size=18pt]", "=== "
    bbcode.gsub! "[size=24pt]", "== "
    edit_box "#{bbcode}", top:400, left: 35, width: 940, height: 250
  end
  @quitB = button "Quit", top: 700, left: 455
  @quitB.click {exit}
  end